scala.Enumeration

# ValueSet

#### class ValueSet extends AbstractSet[Value] with SortedSet[Value] with SortedSetLike[Value, ValueSet] with Serializable

A class for sets of values. Iterating through this set will yield values in increasing order of their ids.

Source
  Enumeration.scala

Linear Supertypes
Serializable, java.io.Serializable, SortedSet[Value], SortedSet[Value], SortedSetLike[Value, ValueSet], Sorted[Value, ValueSet], Set[Value], collection.immutable.Iterable[Value], collection.immutable.Traversable[Value], Immutable, AbstractSet[Value], Set[Value], SetLike[Value, ValueSet], Subtractable[Value, ValueSet], GenSet[Value], GenericSetTemplate[Value, Set], GenSetLike[Value, ValueSet], (Value) ⇒ Boolean, AbstractIterable[Value], collection.Iterable[Value], IterableLike[Value, ValueSet], Equals, GenIterable[Value], GenIterableLike[Value, ValueSet], AbstractTraversable[Value], collection.Traversable[Value], GenTraversable[Value], GenericTraversableTemplate[Value, Set], TraversableLike[Value, ValueSet], GenTraversableLike[Value, ValueSet], Parallelizable[Value, ParSet[Value]], collection.TraversableOnce[Value], GenTraversableOnce[Value], FilterMonadic[Value, ValueSet], HasNewBuilder[Value, ValueSet], AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. ValueSet
2. Serializable
3. Serializable
4. SortedSet
5. SortedSet
6. SortedSetLike
7. Sorted
8. Set
9. Iterable
10. Traversable
11. Immutable
12. AbstractSet
13. Set
14. SetLike
15. Subtractable
16. GenSet
17. GenericSetTemplate
18. GenSetLike
19. Function1
20. AbstractIterable
21. Iterable
22. IterableLike
23. Equals
24. GenIterable
25. GenIterableLike
26. AbstractTraversable
27. Traversable
28. GenTraversable
29. GenericTraversableTemplate
30. TraversableLike
31. GenTraversableLike
32. Parallelizable
33. TraversableOnce
34. GenTraversableOnce
35. FilterMonadic
36. HasNewBuilder
37. AnyRef
38. Any

Implicitly

1. by traversable2ops
2. by MonadOps
3. by flattenTraversableOnce
4. by orderingToOrdered
5. by any2stringadd
6. by any2stringfmt
7. by any2ArrowAssoc
8. by any2Ensuring
9. by alternateImplicit

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### type Self = ValueSet

   The type implementing this traversable

   The type implementing this traversable

   Attributes
     protected
   Definition Classes
     TraversableLike

2. #### class WithFilter extends FilterMonadic[A, Repr]

   A class supporting filtered operations.

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### def &(that: GenSet[Value]): ValueSet

   Computes the intersection between this set and another set.

   Computes the intersection between this set and another set.

   Note: Same as `intersect`.

   that

     the set to intersect with.

   returns

     a new set consisting of all elements that are both in this set and in the given set `that`.

   Definition Classes
     GenSetLike

5. #### def &~(that: GenSet[Value]): ValueSet

   The difference of this set and another set.

   The difference of this set and another set.

   Note: Same as `diff`.

   that

     the set of elements to exclude.

   returns

     a set containing those elements of this set that are not also contained in the given set `that`.

   Definition Classes
     GenSetLike

6. #### def +(value: Value): ValueSet

   Creates a new set with an additional element, unless the element is already present.

   Creates a new set with an additional element, unless the element is already present.

   returns

     a new set that contains all elements of this set and that also contains `elem`.

   Definition Classes
     ValueSet → SetLike → GenSetLike

7. #### def +(elem1: Value, elem2: Value, elems: Value*): ValueSet

   Creates a new immutable sorted set with additional elements.

   Creates a new immutable sorted set with additional elements.

   This method takes two or more elements to be added. Another overloaded variant of this method handles the case where a single element is added.

   elem1

     the first element to add.

   elem2

     the second element to add.

   elems

     the remaining elements to add.

   returns

     a new immutable sorted set with the given elements added.

   Definition Classes
     SetLike

8. #### def ++(elems: GenTraversableOnce[Value]): ValueSet

   Creates a new immutable sorted set by adding all elements contained in another collection to this immutable sorted set.

   Creates a new immutable sorted set by adding all elements contained in another collection to this immutable sorted set.

   elems

     the collection containing the added elements.

   returns

     a new immutable sorted set with the given elements added.

   Definition Classes
     SetLike

9. #### def ++[B](that: GenTraversableOnce[B]): immutable.SortedSet[B]

   [use case] Returns a new immutable sorted set containing the elements from the left hand operand followed by the elements from the right hand operand.

   [use case]

   Returns a new immutable sorted set containing the elements from the left hand operand followed by the elements from the right hand operand. The element type of the immutable sorted set is the most specific superclass encompassing the element types of the two operands.

   Example:

       scala> val a = LinkedList(1)
       a: scala.collection.mutable.LinkedList[Int] = LinkedList(1)

       scala> val b = LinkedList(2)
       b: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

       scala> val c = a ++ b
       c: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

       scala> val d = LinkedList('a')
       d: scala.collection.mutable.LinkedList[Char] = LinkedList(a)

       scala> val e = c ++ d
       e: scala.collection.mutable.LinkedList[AnyVal] = LinkedList(1, 2, a)

   B

     the element type of the returned collection.

   that

     the traversable to append.

   returns

     a new immutable sorted set which contains all elements of this immutable sorted set followed by all elements of `that`.

   Definition Classes
     TraversableLike → GenTraversableLike
   Full Signature

   #### def ++[B >: Value, That](that: GenTraversableOnce[B])(implicit bf: CanBuildFrom[ValueSet, B, That]): That

10. #### def ++:[B >: Value, That](that: collection.Traversable[B])(implicit bf: CanBuildFrom[ValueSet, B, That]): That

    As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

    As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

    It differs from `++` in that the right operand determines the type of the resulting collection rather than the left one. Mnemonic: the COLon is on the side of the new COLlection type.

    Example:

        scala> val x = List(1)
        x: List[Int] = List(1)

        scala> val y = LinkedList(2)
        y: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

        scala> val z = x ++: y
        z: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

    This overload exists because: for the implementation of `++:` we should reuse that of `++` because many collections override it with more efficient versions.

    Since `TraversableOnce` has no `++` method, we have to implement that directly, but `Traversable` and down can use the overload.

    B

      the element type of the returned collection.

    That

      the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

    that

      the traversable to append.

    bf

      an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and and the new element type `B`.

    returns

      a new collection of type `That` which contains all elements of this immutable sorted set followed by all elements of `that`.

    Definition Classes
      TraversableLike

11. #### def ++:[B](that: collection.TraversableOnce[B]): immutable.SortedSet[B]

    [use case] As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

    [use case]

    As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

    It differs from `++` in that the right operand determines the type of the resulting collection rather than the left one. Mnemonic: the COLon is on the side of the new COLlection type.

    Example:

        scala> val x = List(1)
        x: List[Int] = List(1)

        scala> val y = LinkedList(2)
        y: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

        scala> val z = x ++: y
        z: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

    B

      the element type of the returned collection.

    that

      the traversable to append.

    returns

      a new immutable sorted set which contains all elements of this immutable sorted set followed by all elements of `that`.

    Definition Classes
      TraversableLike
    Full Signature

    #### def ++:[B >: Value, That](that: collection.TraversableOnce[B])(implicit bf: CanBuildFrom[ValueSet, B, That]): That

12. #### def -(value: Value): ValueSet

    Creates a new set with a given element removed from this set.

    Creates a new set with a given element removed from this set.

    returns

      a new set that contains all elements of this set but that does not contain `elem`.

    Definition Classes
      ValueSet → SetLike → Subtractable → GenSetLike

13. #### def -(elem1: Value, elem2: Value, elems: Value*): ValueSet

    Creates a new immutable sorted set from this immutable sorted set with some elements removed.

    Creates a new immutable sorted set from this immutable sorted set with some elements removed.

    This method takes two or more elements to be removed. Another overloaded variant of this method handles the case where a single element is removed.

    elem1

      the first element to remove.

    elem2

      the second element to remove.

    elems

      the remaining elements to remove.

    returns

      a new immutable sorted set that contains all elements of the current immutable sorted set except one less occurrence of each of the given elements.

    Definition Classes
      Subtractable

14. #### def --(xs: GenTraversableOnce[Value]): ValueSet

    Creates a new immutable sorted set from this immutable sorted set by removing all elements of another collection.

    Creates a new immutable sorted set from this immutable sorted set by removing all elements of another collection.

    xs

      the collection containing the removed elements.

    returns

      a new immutable sorted set that contains all elements of the current immutable sorted set except one less occurrence of each of the elements of `elems`.

    Definition Classes
      Subtractable

15. #### def ->[B](y: B): (ValueSet, B)

    Implicit information
      This member is added by an implicit conversion from ValueSet to ArrowAssoc[ValueSet] performed by method any2ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc
    Annotations
      @inline ()

16. #### def /:[B](z: B)(op: (B, Value) ⇒ B): B

    Applies a binary operator to a start value and all elements of this immutable sorted set, going left to right.

    Applies a binary operator to a start value and all elements of this immutable sorted set, going left to right.

    Note: `/:` is alternate syntax for `foldLeft`; `z /: xs` is the same as `xs foldLeft z`.

    Examples:

    Note that the folding function used to compute b is equivalent to that used to compute c.

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = (5 /: a)(_+_)
        b: Int = 15

        scala> val c = (5 /: a)((x,y) => x + y)
        c: Int = 15

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this immutable sorted set, going left to right with the start value `z` on the left:

          op(...op(op(z, x_1), x_2), ..., x_n)

      where `x1, ..., xn` are the elements of this immutable sorted set.

    Definition Classes
      TraversableOnce → GenTraversableOnce

17. #### def :\[B](z: B)(op: (Value, B) ⇒ B): B

    Applies a binary operator to all elements of this immutable sorted set and a start value, going right to left.

    Applies a binary operator to all elements of this immutable sorted set and a start value, going right to left.

    Note: `:\` is alternate syntax for `foldRight`; `xs :\ z` is the same as `xs foldRight z`.

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    Examples:

    Note that the folding function used to compute b is equivalent to that used to compute c.

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = (a :\ 5)(_+_)
        b: Int = 15

        scala> val c = (a :\ 5)((x,y) => x + y)
        c: Int = 15

    B

      the result type of the binary operator.

    z

      the start value

    op

      the binary operator

    returns

      the result of inserting `op` between consecutive elements of this immutable sorted set, going right to left with the start value `z` on the right:

          op(x_1, op(x_2, ... op(x_n, z)...))

      where `x1, ..., xn` are the elements of this immutable sorted set.

    Definition Classes
      TraversableOnce → GenTraversableOnce

18. #### def <(that: ValueSet): Boolean

    Returns true if `this` is less than `that`

    Returns true if `this` is less than `that`

    Implicit information
      This member is added by an implicit conversion from ValueSet to math.Ordered[ValueSet] performed by method orderingToOrdered in scala.math.Ordered. This conversion will take place only if an implicit value of type math.Ordering[ValueSet] is in scope.
    Definition Classes
      Ordered

19. #### def <=(that: ValueSet): Boolean

    Returns true if `this` is less than or equal to `that`.

    Returns true if `this` is less than or equal to `that`.

    Implicit information
      This member is added by an implicit conversion from ValueSet to math.Ordered[ValueSet] performed by method orderingToOrdered in scala.math.Ordered. This conversion will take place only if an implicit value of type math.Ordering[ValueSet] is in scope.
    Definition Classes
      Ordered

20. #### final def ==(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

21. #### final def ==(arg0: Any): Boolean

    Test two objects for equality.

    Test two objects for equality. The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      Any

22. #### def >(that: ValueSet): Boolean

    Returns true if `this` is greater than `that`.

    Returns true if `this` is greater than `that`.

    Implicit information
      This member is added by an implicit conversion from ValueSet to math.Ordered[ValueSet] performed by method orderingToOrdered in scala.math.Ordered. This conversion will take place only if an implicit value of type math.Ordering[ValueSet] is in scope.
    Definition Classes
      Ordered

23. #### def >=(that: ValueSet): Boolean

    Returns true if `this` is greater than or equal to `that`.

    Returns true if `this` is greater than or equal to `that`.

    Implicit information
      This member is added by an implicit conversion from ValueSet to math.Ordered[ValueSet] performed by method orderingToOrdered in scala.math.Ordered. This conversion will take place only if an implicit value of type math.Ordering[ValueSet] is in scope.
    Definition Classes
      Ordered

24. #### def addString(b: StringBuilder): StringBuilder

    Appends all elements of this immutable sorted set to a string builder.

    Appends all elements of this immutable sorted set to a string builder. The written text consists of the string representations (w.r.t. the method `toString`) of all elements of this immutable sorted set without any separator string.

    Example:

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = new StringBuilder()
        b: StringBuilder =

        scala> val h = a.addString(b)
        b: StringBuilder = 1234

    b

      the string builder to which elements are appended.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      TraversableOnce

25. #### def addString(b: StringBuilder, sep: String): StringBuilder

    Appends all elements of this immutable sorted set to a string builder using a separator string.

    Appends all elements of this immutable sorted set to a string builder using a separator string. The written text consists of the string representations (w.r.t. the method `toString`) of all elements of this immutable sorted set, separated by the string `sep`.

    Example:

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = new StringBuilder()
        b: StringBuilder =

        scala> a.addString(b, ", ")
        res0: StringBuilder = 1, 2, 3, 4

    b

      the string builder to which elements are appended.

    sep

      the separator string.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      TraversableOnce

26. #### def addString(b: StringBuilder, start: String, sep: String, end: String): StringBuilder

    Appends all elements of this immutable sorted set to a string builder using start, end, and separator strings.

    Appends all elements of this immutable sorted set to a string builder using start, end, and separator strings. The written text begins with the string `start` and ends with the string `end`. Inside, the string representations (w.r.t. the method `toString`) of all elements of this immutable sorted set are separated by the string `sep`.

    Example:

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = new StringBuilder()
        b: StringBuilder =

        scala> a.addString(b, "LinkedList(", ", ", ")")
        res1: StringBuilder = LinkedList(1, 2, 3, 4)

    b

      the string builder to which elements are appended.

    start

      the starting string.

    sep

      the separator string.

    end

      the ending string.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      TraversableOnce

27. #### def aggregate[B](z: B)(seqop: (B, Value) ⇒ B, combop: (B, B) ⇒ B): B

    Aggregates the results of applying an operator to subsequent elements.

    Aggregates the results of applying an operator to subsequent elements.

    This is a more general form of `fold` and `reduce`. It has similar semantics, but does not require the result to be a supertype of the element type. It traverses the elements in different partitions sequentially, using `seqop` to update the result, and then applies `combop` to results from different partitions. The implementation of this operation may operate on an arbitrary number of collection partitions, so `combop` may be invoked an arbitrary number of times.

    For example, one might want to process some elements and then produce a `Set`. In this case, `seqop` would process an element and append it to the list, while `combop` would concatenate two lists from different partitions together. The initial value `z` would be an empty set.

        pc.aggregate(Set[Int]())(_ += process(_), _ ++ _)

    Another example is calculating geometric mean from a collection of doubles (one would typically require big doubles for this).

    B

      the type of accumulated results

    z

      the initial value for the accumulated result of the partition - this will typically be the neutral element for the `seqop` operator (e.g. `Nil` for list concatenation or `0` for summation)

    seqop

      an operator used to accumulate results within a partition

    combop

      an associative operator used to combine results from different partitions

    Definition Classes
      TraversableOnce → GenTraversableOnce

28. #### def andThen[A](g: (Boolean) ⇒ A): (Value) ⇒ A

    Composes two instances of Function1 in a new Function1, with this function applied first.

    Composes two instances of Function1 in a new Function1, with this function applied first.

    A

      the result type of function `g`

    g

      a function R => A

    returns

      a new function `f` such that `f(x) == g(apply(x))`

    Definition Classes
      Function1
    Annotations
      @unspecialized ()

29. #### def apply(elem: Value): Boolean

    Tests if some element is contained in this set.

    Tests if some element is contained in this set.

    This method is equivalent to `contains`. It allows sets to be interpreted as predicates.

    elem

      the element to test for membership.

    returns

      `true` if `elem` is contained in this set, `false` otherwise.

    Definition Classes
      GenSetLike → Function1

30. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown
      ClassCastException

      if the receiver object is not an instance of the erasure of type `T0`.

31. #### def asParIterable: ParIterable[Value]

    Implicit information
      This member is added by an implicit conversion from ValueSet to TraversableOps[Value] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

32. #### def asParSeq: ParSeq[Value]

    Implicit information
      This member is added by an implicit conversion from ValueSet to TraversableOps[Value] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

33. #### def canEqual(that: Any): Boolean

    Method called from equality methods, so that user-defined subclasses can refuse to be equal to other collections of the same kind.

    Method called from equality methods, so that user-defined subclasses can refuse to be equal to other collections of the same kind.

    that

      The object with which this immutable sorted set should be compared

    returns

      `true`, if this immutable sorted set can possibly equal `that`, `false` otherwise. The test takes into consideration only the run-time types of objects but ignores their elements.

    Definition Classes
      IterableLike → Equals

34. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws ( ... )
    Note

      not specified by SLS as a member of AnyRef

35. #### def collect[B](pf: PartialFunction[A, B]): immutable.SortedSet[B]

    [use case] Builds a new collection by applying a partial function to all elements of this immutable sorted set on which the function is defined.

    [use case]

    Builds a new collection by applying a partial function to all elements of this immutable sorted set on which the function is defined.

    B

      the element type of the returned collection.

    pf

      the partial function which filters and maps the immutable sorted set.

    returns

      a new immutable sorted set resulting from applying the given partial function `pf` to each element on which it is defined and collecting the results. The order of the elements is preserved.

    Definition Classes
      TraversableLike → GenTraversableLike
    Full Signature

    #### def collect[B, That](pf: PartialFunction[Value, B])(implicit bf: CanBuildFrom[ValueSet, B, That]): That

36. #### def collectFirst[B](pf: PartialFunction[Value, B]): Option[B]

    Finds the first element of the immutable sorted set for which the given partial function is defined, and applies the partial function to it.

    Finds the first element of the immutable sorted set for which the given partial function is defined, and applies the partial function to it.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    pf

      the partial function

    returns

      an option value containing pf applied to the first value for which it is defined, or `None` if none exists.

    Definition Classes
      TraversableOnce
    Example:

    1. `Seq("a", 1, 5L).collectFirst({ case x: Int => x*10 }) = Some(10)`

37. #### def companion: GenericCompanion[Set]

    The factory companion object that builds instances of class `immutable.SortedSet`.

    The factory companion object that builds instances of class `immutable.SortedSet`. (or its `Iterable` superclass where class `immutable.SortedSet` is not a `Seq`.)

    Definition Classes
      Set → Set → GenSet → Iterable → Iterable → GenIterable → Traversable → Traversable → GenTraversable → GenericTraversableTemplate

38. #### def compare(k0: Value, k1: Value): Int

    Comparison function that orders keys.

    Comparison function that orders keys.

    Definition Classes
      Sorted

39. #### def compareTo(that: ValueSet): Int

    Result of comparing `this` with operand `that`.

    Result of comparing `this` with operand `that`.

    Implicit information
      This member is added by an implicit conversion from ValueSet to math.Ordered[ValueSet] performed by method orderingToOrdered in scala.math.Ordered. This conversion will take place only if an implicit value of type math.Ordering[ValueSet] is in scope.
    Definition Classes
      Ordered → Comparable

40. #### def compose[A](g: (A) ⇒ Value): (A) ⇒ Boolean

    Composes two instances of Function1 in a new Function1, with this function applied last.

    Composes two instances of Function1 in a new Function1, with this function applied last.

    A

      the type to which function `g` can be applied

    g

      a function A => T1

    returns

      a new function `f` such that `f(x) == apply(g(x))`

    Definition Classes
      Function1
    Annotations
      @unspecialized ()

41. #### def contains(v: Value): Boolean

    Tests if some element is contained in this set.

    Tests if some element is contained in this set.

    returns

      `true` if `elem` is contained in this set, `false` otherwise.

    Definition Classes
      ValueSet → SetLike → GenSetLike

42. #### def copyToArray(xs: Array[A], start: Int, len: Int): Unit

    [use case] Copies elements of this immutable sorted set to an array.

    [use case]

    Copies elements of this immutable sorted set to an array. Fills the given array `xs` with at most `len` elements of this immutable sorted set, starting at position `start`. Copying will stop once either the end of the current immutable sorted set is reached, or the end of the array is reached, or `len` elements have been copied.

    xs

      the array to fill.

    start

      the starting index.

    len

      the maximal number of elements to copy.

    Definition Classes
      IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce
    Full Signature

    #### def copyToArray[B >: Value](xs: Array[B], start: Int, len: Int): Unit

43. #### def copyToArray(xs: Array[A]): Unit

    [use case] Copies values of this immutable sorted set to an array.

    [use case]

    Copies values of this immutable sorted set to an array. Fills the given array `xs` with values of this immutable sorted set. Copying will stop once either the end of the current immutable sorted set is reached, or the end of the array is reached.

    xs

      the array to fill.

    Definition Classes
      TraversableOnce → GenTraversableOnce
    Full Signature

    #### def copyToArray[B >: Value](xs: Array[B]): Unit

44. #### def copyToArray(xs: Array[A], start: Int): Unit

    [use case] Copies values of this immutable sorted set to an array.

    [use case]

    Copies values of this immutable sorted set to an array. Fills the given array `xs` with values of this immutable sorted set, beginning at index `start`. Copying will stop once either the end of the current immutable sorted set is reached, or the end of the array is reached.

    xs

      the array to fill.

    start

      the starting index.

    Definition Classes
      TraversableOnce → GenTraversableOnce
    Full Signature

    #### def copyToArray[B >: Value](xs: Array[B], start: Int): Unit

45. #### def copyToBuffer[B >: Value](dest: Buffer[B]): Unit

    Copies all elements of this immutable sorted set to a buffer.

    Copies all elements of this immutable sorted set to a buffer.

    dest

      The buffer to which elements are copied.

    Definition Classes
      TraversableOnce

46. #### def count(p: (Value) ⇒ Boolean): Int

    Counts the number of elements in the immutable sorted set which satisfy a predicate.

    Counts the number of elements in the immutable sorted set which satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      the number of elements satisfying the predicate `p`.

    Definition Classes
      TraversableOnce → GenTraversableOnce

47. #### def diff(that: GenSet[Value]): ValueSet

    Computes the difference of this set and another set.

    Computes the difference of this set and another set.

    that

      the set of elements to exclude.

    returns

      a set containing those elements of this set that are not also contained in the given set `that`.

    Definition Classes
      SetLike → GenSetLike

48. #### def drop(n: Int): ValueSet

    Selects all elements except first n ones.

    Selects all elements except first n ones.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    n

      the number of elements to drop from this immutable sorted set.

    returns

      a immutable sorted set consisting of all elements of this immutable sorted set except the first `n` ones, or else the empty immutable sorted set, if this immutable sorted set has less than `n` elements.

    Definition Classes
      IterableLike → TraversableLike → GenTraversableLike

49. #### def dropRight(n: Int): ValueSet

    Selects all elements except last n ones.

    Selects all elements except last n ones.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    n

      The number of elements to take

    returns

      a immutable sorted set consisting of all elements of this immutable sorted set except the last `n` ones, or else the empty immutable sorted set, if this immutable sorted set has less than `n` elements.

    Definition Classes
      IterableLike

50. #### def dropWhile(p: (Value) ⇒ Boolean): ValueSet

    Drops longest prefix of elements that satisfy a predicate.

    Drops longest prefix of elements that satisfy a predicate.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      the longest suffix of this immutable sorted set whose first element does not satisfy the predicate `p`.

    Definition Classes
      TraversableLike → GenTraversableLike

51. #### def empty: ValueSet

    Needs to be overridden in subclasses.

    Needs to be overridden in subclasses.

    returns

      an empty set of type `This`.

    Definition Classes
      ValueSet → SortedSet → SortedSet → SetLike → GenericSetTemplate

52. #### def ensuring(cond: (ValueSet) ⇒ Boolean, msg: ⇒ Any): ValueSet

    Implicit information
      This member is added by an implicit conversion from ValueSet to Ensuring[ValueSet] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

53. #### def ensuring(cond: (ValueSet) ⇒ Boolean): ValueSet

    Implicit information
      This member is added by an implicit conversion from ValueSet to Ensuring[ValueSet] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

54. #### def ensuring(cond: Boolean, msg: ⇒ Any): ValueSet

    Implicit information
      This member is added by an implicit conversion from ValueSet to Ensuring[ValueSet] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

55. #### def ensuring(cond: Boolean): ValueSet

    Implicit information
      This member is added by an implicit conversion from ValueSet to Ensuring[ValueSet] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

56. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

57. #### def equals(that: Any): Boolean

    Compares this set with another object for equality.

    Compares this set with another object for equality.

    Note: This operation contains an unchecked cast: if `that` is a set, it will assume with an unchecked cast that it has the same element type as this set. Any subsequent ClassCastException is treated as a `false` result.

    that

      the other object

    returns

      `true` if `that` is a set which contains the same elements as this set.

    Definition Classes
      GenSetLike → Equals → AnyRef → Any

58. #### def exists(p: (Value) ⇒ Boolean): Boolean

    Tests whether a predicate holds for some of the elements of this immutable sorted set.

    Tests whether a predicate holds for some of the elements of this immutable sorted set.

    p

      the predicate used to test elements.

    returns

      `true` if the given predicate `p` holds for some of the elements of this immutable sorted set, otherwise `false`.

    Definition Classes
      IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

59. #### def filter(p: (Value) ⇒ Boolean): ValueSet

    Selects all elements of this immutable sorted set which satisfy a predicate.

    Selects all elements of this immutable sorted set which satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      a new immutable sorted set consisting of all elements of this immutable sorted set that satisfy the given predicate `p`. The order of the elements is preserved.

    Definition Classes
      TraversableLike → GenTraversableLike

60. #### def filterNot(p: (Value) ⇒ Boolean): ValueSet

    Selects all elements of this immutable sorted set which do not satisfy a predicate.

    Selects all elements of this immutable sorted set which do not satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      a new immutable sorted set consisting of all elements of this immutable sorted set that do not satisfy the given predicate `p`. The order of the elements is preserved.

    Definition Classes
      TraversableLike → GenTraversableLike

61. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws ( classOf[java.lang.Throwable] )
    Note

      not specified by SLS as a member of AnyRef

62. #### def find(p: (Value) ⇒ Boolean): Option[Value]

    Finds the first element of the immutable sorted set satisfying a predicate, if any.

    Finds the first element of the immutable sorted set satisfying a predicate, if any.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    p

      the predicate used to test elements.

    returns

      an option value containing the first element in the immutable sorted set that satisfies `p`, or `None` if none exists.

    Definition Classes
      IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

63. #### def firstKey: Value

    Returns the first key of the collection.

    Returns the first key of the collection.

    Definition Classes
      SortedSetLike → Sorted

64. #### def flatMap[B](f: (A) ⇒ GenTraversableOnce[B]): immutable.SortedSet[B]

    [use case] Builds a new collection by applying a function to all elements of this immutable sorted set and using the elements of the resulting collections.

    [use case]

    Builds a new collection by applying a function to all elements of this immutable sorted set and using the elements of the resulting collections.

    For example:

        def getWords(lines: Seq[String]): Seq[String] = lines flatMap (line => line split "\\W+")

    The type of the resulting collection is guided by the static type of immutable sorted set. This might cause unexpected results sometimes. For example:

        // lettersOf will return a Seq[Char] of likely repeated letters, instead of a Set
        def lettersOf(words: Seq[String]) = words flatMap (word => word.toSet)

        // lettersOf will return a Set[Char], not a Seq
        def lettersOf(words: Seq[String]) = words.toSet flatMap (word => word.toSeq)

        // xs will be a an Iterable[Int]
        val xs = Map("a" -> List(11,111), "b" -> List(22,222)).flatMap(_._2)

        // ys will be a Map[Int, Int]
        val ys = Map("a" -> List(1 -> 11,1 -> 111), "b" -> List(2 -> 22,2 -> 222)).flatMap(_._2)

    B

      the element type of the returned collection.

    f

      the function to apply to each element.

    returns

      a new immutable sorted set resulting from applying the given collection-valued function `f` to each element of this immutable sorted set and concatenating the results.

    Definition Classes
      TraversableLike → GenTraversableLike → FilterMonadic
    Full Signature

    #### def flatMap[B, That](f: (Value) ⇒ GenTraversableOnce[B])(implicit bf: CanBuildFrom[ValueSet, B, That]): That

65. #### def flatten[B]: immutable.SortedSet[B]

    [use case] Converts this immutable sorted set of traversable collections into a immutable sorted set formed by the elements of these traversable collections.

    [use case]

    Converts this immutable sorted set of traversable collections into a immutable sorted set formed by the elements of these traversable collections.

    The resulting collection's type will be guided by the static type of immutable sorted set. For example:

        val xs = List(Set(1, 2, 3), Set(1, 2, 3))
        // xs == List(1, 2, 3, 1, 2, 3)

        val ys = Set(List(1, 2, 3), List(3, 2, 1))
        // ys == Set(1, 2, 3)

    B

      the type of the elements of each traversable collection.

    returns

      a new immutable sorted set resulting from concatenating all element immutable sorted sets.

    Definition Classes
      GenericTraversableTemplate
    Full Signature

    #### def flatten[B](implicit asTraversable: (Value) ⇒ GenTraversableOnce[B]): Set[B]

66. #### def fold[A1 >: Value](z: A1)(op: (A1, A1) ⇒ A1): A1

    Folds the elements of this immutable sorted set using the specified associative binary operator.

    Folds the elements of this immutable sorted set using the specified associative binary operator.

    The order in which operations are performed on elements is unspecified and may be nondeterministic.

    A1

      a type parameter for the binary operator, a supertype of `A`.

    z

      a neutral element for the fold operation; may be added to the result an arbitrary number of times, and must not change the result (e.g., `Nil` for list concatenation, 0 for addition, or 1 for multiplication.)

    op

      a binary operator that must be associative

    returns

      the result of applying fold operator `op` between all the elements and `z`

    Definition Classes
      TraversableOnce → GenTraversableOnce

67. #### def foldLeft[B](z: B)(op: (B, Value) ⇒ B): B

    Applies a binary operator to a start value and all elements of this immutable sorted set, going left to right.

    Applies a binary operator to a start value and all elements of this immutable sorted set, going left to right.

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this immutable sorted set, going left to right with the start value `z` on the left:

          op(...op(z, x_1), x_2, ..., x_n)

      where `x1, ..., xn` are the elements of this immutable sorted set.

    Definition Classes
      TraversableOnce → GenTraversableOnce

68. #### def foldRight[B](z: B)(op: (Value, B) ⇒ B): B

    Applies a binary operator to all elements of this immutable sorted set and a start value, going right to left.

    Applies a binary operator to all elements of this immutable sorted set and a start value, going right to left.

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this immutable sorted set, going right to left with the start value `z` on the right:

          op(x_1, op(x_2, ... op(x_n, z)...))

      where `x1, ..., xn` are the elements of this immutable sorted set.

    Definition Classes
      IterableLike → TraversableOnce → GenTraversableOnce

69. #### def forall(p: (Value) ⇒ Boolean): Boolean

    Tests whether a predicate holds for all elements of this immutable sorted set.

    Tests whether a predicate holds for all elements of this immutable sorted set.

    p

      the predicate used to test elements.

    returns

      `true` if the given predicate `p` holds for all elements of this immutable sorted set, otherwise `false`.

    Definition Classes
      IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

70. #### def foreach(f: (Value) ⇒ Unit): Unit

    [use case] Applies a function `f` to all elements of this immutable sorted set.

    [use case]

    Applies a function `f` to all elements of this immutable sorted set.

    Note: this method underlies the implementation of most other bulk operations. Subclasses should re-implement this method if a more efficient implementation exists.

    f

      the function that is applied for its side-effect to every element. The result of function `f` is discarded.

    Definition Classes
      IterableLike → TraversableLike → GenTraversableLike → TraversableOnce → GenTraversableOnce → FilterMonadic
    Full Signature

    #### def foreach[U](f: (Value) ⇒ U): Unit

71. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from ValueSet to StringFormat performed by method any2stringfmt in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline ()

72. #### def from(from: Value): ValueSet

    Creates a ranged projection of this collection with no upper-bound.

    Creates a ranged projection of this collection with no upper-bound.

    from

      The lower-bound (inclusive) of the ranged projection.

    Definition Classes
      SortedSetLike → Sorted

73. #### def genericBuilder[B]: Builder[B, Set[B]]

    The generic builder that builds instances of `immutable.SortedSet` at arbitrary element types.

    The generic builder that builds instances of `immutable.SortedSet` at arbitrary element types.

    Definition Classes
      GenericTraversableTemplate

74. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

75. #### def groupBy[K](f: (Value) ⇒ K): Map[K, ValueSet]

    Partitions this immutable sorted set into a map of immutable sorted sets according to some discriminator function.

    Partitions this immutable sorted set into a map of immutable sorted sets according to some discriminator function.

    Note: this method is not re-implemented by views. This means when applied to a view it will always force the view and return a new immutable sorted set.

    K

      the type of keys returned by the discriminator function.

    f

      the discriminator function.

    returns

      A map from keys to immutable sorted sets such that the following invariant holds:

          (xs partition f)(k) = xs filter (x => f(x) == k)

      That is, every key `k` is bound to a immutable sorted set of those elements `x` for which `f(x)` equals `k`.

    Definition Classes
      TraversableLike → GenTraversableLike

76. #### def grouped(size: Int): collection.Iterator[ValueSet]

    Partitions elements in fixed size immutable sorted sets.

    Partitions elements in fixed size immutable sorted sets.

    size

      the number of elements per group

    returns

      An iterator producing immutable sorted sets of size `size`, except the last will be truncated if the elements don't divide evenly.

    Definition Classes
      IterableLike
    See also

      scala.collection.Iterator, method `grouped`

77. #### def hasAll(j: collection.Iterator[Value]): Boolean

    Attributes
      protected
    Definition Classes
      Sorted

78. #### def hasDefiniteSize: Boolean

    Tests whether this immutable sorted set is known to have a finite size.

    Tests whether this immutable sorted set is known to have a finite size. All strict collections are known to have finite size. For a non-strict collection such as `Stream`, the predicate returns `true` if all elements have been computed. It returns `false` if the stream is not yet evaluated to the end.

    Note: many collection methods will not work on collections of infinite sizes.

    returns

      `true` if this collection is known to have finite size, `false` otherwise.

    Definition Classes
      TraversableLike → TraversableOnce → GenTraversableOnce

79. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      GenSetLike → AnyRef → Any

80. #### def head: Value

    Selects the first element of this immutable sorted set.

    Selects the first element of this immutable sorted set.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      the first element of this immutable sorted set.

    Definition Classes
      IterableLike → TraversableLike → GenTraversableLike
    Exceptions thrown
      `NoSuchElementException`

      if the immutable sorted set is empty.

81. #### def headOption: Option[Value]

    Optionally selects the first element.

    Optionally selects the first element.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      the first element of this immutable sorted set if it is nonempty, `None` if it is empty.

    Definition Classes
      TraversableLike → GenTraversableLike

82. #### def ifParSeq[R](isbody: (ParSeq[Value]) ⇒ R): (TraversableOps[Value])#Otherwise[R]

    Implicit information
      This member is added by an implicit conversion from ValueSet to TraversableOps[Value] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

83. #### def init: ValueSet

    Selects all elements except the last.

    Selects all elements except the last.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      a immutable sorted set consisting of all elements of this immutable sorted set except the last one.

    Definition Classes
      TraversableLike → GenTraversableLike
    Exceptions thrown
      `UnsupportedOperationException`

      if the immutable sorted set is empty.

84. #### def inits: collection.Iterator[ValueSet]

    Iterates over the inits of this immutable sorted set.

    Iterates over the inits of this immutable sorted set. The first value will be this immutable sorted set and the final one will be an empty immutable sorted set, with the intervening values the results of successive applications of `init`.

    returns

      an iterator over all the inits of this immutable sorted set

    Definition Classes
      TraversableLike
    Example:

    1. `List(1,2,3).inits = Iterator(List(1,2,3), List(1,2), List(1), Nil)`

85. #### def intersect(that: GenSet[Value]): ValueSet

    Computes the intersection between this set and another set.

    Computes the intersection between this set and another set.

    that

      the set to intersect with.

    returns

      a new set consisting of all elements that are both in this set and in the given set `that`.

    Definition Classes
      GenSetLike

86. #### def isEmpty: Boolean

    Tests if this set is empty.

    Tests if this set is empty.

    returns

      `true` if there is no element in the set, `false` otherwise.

    Definition Classes
      SetLike → IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

87. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

88. #### def isParIterable: Boolean

    Implicit information
      This member is added by an implicit conversion from ValueSet to TraversableOps[Value] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

89. #### def isParSeq: Boolean

    Implicit information
      This member is added by an implicit conversion from ValueSet to TraversableOps[Value] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

90. #### def isParallel: Boolean

    Implicit information
      This member is added by an implicit conversion from ValueSet to TraversableOps[Value] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

91. #### final def isTraversableAgain: Boolean

    Tests whether this immutable sorted set can be repeatedly traversed.

    Tests whether this immutable sorted set can be repeatedly traversed.

    returns

      `true`

    Definition Classes
      TraversableLike → GenTraversableLike → GenTraversableOnce

92. #### def iterator: collection.Iterator[Value]

    Creates a new iterator over all elements contained in this iterable object.

    Creates a new iterator over all elements contained in this iterable object.

    returns

      the new iterator

    Definition Classes
      ValueSet → GenSetLike → IterableLike → GenIterableLike

93. #### def keySet: ValueSet

    return as a projection the set of keys in this collection

    return as a projection the set of keys in this collection

    Definition Classes
      SortedSetLike → Sorted

94. #### def last: Value

    Selects the last element.

    Selects the last element.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      The last element of this immutable sorted set.

    Definition Classes
      TraversableLike → GenTraversableLike
    Exceptions thrown
      NoSuchElementException

      If the immutable sorted set is empty.

95. #### def lastKey: Value

    Returns the last key of the collection.

    Returns the last key of the collection.

    Definition Classes
      SortedSetLike → Sorted

96. #### def lastOption: Option[Value]

    Optionally selects the last element.

    Optionally selects the last element.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      the last element of this immutable sorted set$ if it is nonempty, `None` if it is empty.

    Definition Classes
      TraversableLike → GenTraversableLike

97. #### def map[B](f: (A) ⇒ B): immutable.SortedSet[B]

    [use case] Builds a new collection by applying a function to all elements of this immutable sorted set.

    [use case]

    Builds a new collection by applying a function to all elements of this immutable sorted set.

    B

      the element type of the returned collection.

    f

      the function to apply to each element.

    returns

      a new immutable sorted set resulting from applying the given function `f` to each element of this immutable sorted set and collecting the results.

    Definition Classes
      SetLike → TraversableLike → GenTraversableLike → FilterMonadic
    Full Signature

    #### def map[B, That](f: (Value) ⇒ B)(implicit bf: CanBuildFrom[ValueSet, B, That]): That

98. #### def max: A

    [use case] Finds the largest element.

    [use case]

    Finds the largest element.

    returns

      the largest element of this immutable sorted set.

    Definition Classes
      TraversableOnce → GenTraversableOnce
    Full Signature

    #### def max[B >: Value](implicit cmp: Ordering[B]): Value

99. #### def maxBy[B](f: (Value) ⇒ B)(implicit cmp: Ordering[B]): Value

    Definition Classes
      TraversableOnce → GenTraversableOnce

100. #### def min: A

     [use case] Finds the smallest element.

     [use case]

     Finds the smallest element.

     returns

       the smallest element of this immutable sorted set

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def min[B >: Value](implicit cmp: Ordering[B]): Value

101. #### def minBy[B](f: (Value) ⇒ B)(implicit cmp: Ordering[B]): Value

     Definition Classes
       TraversableOnce → GenTraversableOnce

102. #### def mkString: String

     Displays all elements of this immutable sorted set in a string.

     Displays all elements of this immutable sorted set in a string.

     returns

       a string representation of this immutable sorted set. In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this immutable sorted set follow each other without any separator string.

     Definition Classes
       TraversableOnce → GenTraversableOnce

103. #### def mkString(sep: String): String

     Displays all elements of this immutable sorted set in a string using a separator string.

     Displays all elements of this immutable sorted set in a string using a separator string.

     sep

       the separator string.

     returns

       a string representation of this immutable sorted set. In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this immutable sorted set are separated by the string `sep`.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Example:

     1. `List(1, 2, 3).mkString("|") = "1|2|3"`

104. #### def mkString(start: String, sep: String, end: String): String

     Displays all elements of this immutable sorted set in a string using start, end, and separator strings.

     Displays all elements of this immutable sorted set in a string using start, end, and separator strings.

     start

       the starting string.

     sep

       the separator string.

     end

       the ending string.

     returns

       a string representation of this immutable sorted set. The resulting string begins with the string `start` and ends with the string `end`. Inside, the string representations (w.r.t. the method `toString`) of all elements of this immutable sorted set are separated by the string `sep`.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Example:

     1. `List(1, 2, 3).mkString("(", "; ", ")") = "(1; 2; 3)"`

105. #### final def ne(arg0: AnyRef): Boolean

     Equivalent to `!(this eq that)`.

     Equivalent to `!(this eq that)`.

     returns

       `true` if the argument is not a reference to the receiver object; `false` otherwise.

     Definition Classes
       AnyRef

106. #### def newBuilder: Builder[Value, ValueSet]

     A common implementation of `newBuilder` for all sets in terms of `empty`.

     A common implementation of `newBuilder` for all sets in terms of `empty`. Overridden for mutable sets in `mutable.SetLike`.

     Attributes
       protected[this]
     Definition Classes
       SetLike → TraversableLike → HasNewBuilder

107. #### def nonEmpty: Boolean

     Tests whether the immutable sorted set is not empty.

     Tests whether the immutable sorted set is not empty.

     returns

       `true` if the immutable sorted set contains at least one element, `false` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

108. #### final def notify(): Unit

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Note

       not specified by SLS as a member of AnyRef

109. #### final def notifyAll(): Unit

     Wakes up all threads that are waiting on the receiver object's monitor.

     Wakes up all threads that are waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Note

       not specified by SLS as a member of AnyRef

110. #### implicit def ordering: Ordering[Value]

     Definition Classes
       ValueSet → SortedSetLike → Sorted

111. #### def par: ParSet[Value]

     Returns a parallel implementation of this collection.

     Returns a parallel implementation of this collection.

     For most collection types, this method creates a new parallel collection by copying all the elements. For these collection, `par` takes linear time. Mutable collections in this category do not produce a mutable parallel collection that has the same underlying dataset, so changes in one collection will not be reflected in the other one.

     Specific collections (e.g. `ParArray` or `mutable.ParHashMap`) override this default behaviour by creating a parallel collection which shares the same underlying dataset. For these collections, `par` takes constant or sublinear time.

     All parallel collections return a reference to themselves.

     returns

       a parallel implementation of this collection

     Definition Classes
       Parallelizable

112. #### def parCombiner: Combiner[Value, ParSet[Value]]

     The default `par` implementation uses the combiner provided by this method to create a new parallel collection.

     The default `par` implementation uses the combiner provided by this method to create a new parallel collection.

     returns

       a combiner for the parallel collection of type `ParRepr`

     Attributes
       protected
     Definition Classes
       Set → SetLike → Iterable → TraversableLike → Parallelizable

113. #### def partition(p: (Value) ⇒ Boolean): (ValueSet, ValueSet)

     Partitions this immutable sorted set in two immutable sorted sets according to a predicate.

     Partitions this immutable sorted set in two immutable sorted sets according to a predicate.

     p

       the predicate on which to partition.

     returns

       a pair of immutable sorted sets: the first immutable sorted set consists of all elements that satisfy the predicate `p` and the second immutable sorted set consists of all elements that don't. The relative order of the elements in the resulting immutable sorted sets is the same as in the original immutable sorted set.

     Definition Classes
       TraversableLike → GenTraversableLike

114. #### def product: A

     [use case] Multiplies up the elements of this collection.

     [use case]

     Multiplies up the elements of this collection.

     returns

       the product of all elements in this immutable sorted set of numbers of type `Int`. Instead of `Int`, any other type `T` with an implicit `Numeric[T]` implementation can be used as element type of the immutable sorted set and as result type of `product`. Examples of such types are: `Long`, `Float`, `Double`, `BigInt`.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def product[B >: Value](implicit num: Numeric[B]): B

115. #### def range(from: Value, until: Value): ValueSet

     Creates a ranged projection of this collection with both a lower-bound and an upper-bound.

     Creates a ranged projection of this collection with both a lower-bound and an upper-bound.

     from

       The upper-bound (exclusive) of the ranged projection.

     Definition Classes
       SortedSetLike → Sorted

116. #### def rangeImpl(from: Option[Value], until: Option[Value]): ValueSet

     Creates a ranged projection of this collection.

     Creates a ranged projection of this collection. Any mutations in the ranged projection will update this collection and vice versa.

     Note: keys are not garuanteed to be consistent between this collection and the projection. This is the case for buffers where indexing is relative to the projection.

     from

       The lower-bound (inclusive) of the ranged projection. `None` if there is no lower bound.

     until

       The upper-bound (exclusive) of the ranged projection. `None` if there is no upper bound.

     Definition Classes
       ValueSet → SortedSetLike → Sorted

117. #### def reduce[A1 >: Value](op: (A1, A1) ⇒ A1): A1

     Reduces the elements of this immutable sorted set using the specified associative binary operator.

     Reduces the elements of this immutable sorted set using the specified associative binary operator.

     The order in which operations are performed on elements is unspecified and may be nondeterministic.

     A1

       A type parameter for the binary operator, a supertype of `A`.

     op

       A binary operator that must be associative.

     returns

       The result of applying reduce operator `op` between all the elements if the immutable sorted set is nonempty.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Exceptions thrown
       UnsupportedOperationException

       if this immutable sorted set is empty.

118. #### def reduceLeft[B >: Value](op: (B, Value) ⇒ B): B

     Applies a binary operator to all elements of this immutable sorted set, going left to right.

     Applies a binary operator to all elements of this immutable sorted set, going left to right.

     Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       the result of inserting `op` between consecutive elements of this immutable sorted set, going left to right:

           op( op( ... op(x_1, x_2) ..., x_{n-1}), x_n)

       where `x1, ..., xn` are the elements of this immutable sorted set.

     Definition Classes
       TraversableOnce
     Exceptions thrown
       `UnsupportedOperationException`

       if this immutable sorted set is empty.

119. #### def reduceLeftOption[B >: Value](op: (B, Value) ⇒ B): Option[B]

     Optionally applies a binary operator to all elements of this immutable sorted set, going left to right.

     Optionally applies a binary operator to all elements of this immutable sorted set, going left to right.

     Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       an option value containing the result of `reduceLeft(op)` is this immutable sorted set is nonempty, `None` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

120. #### def reduceOption[A1 >: Value](op: (A1, A1) ⇒ A1): Option[A1]

     Reduces the elements of this immutable sorted set, if any, using the specified associative binary operator.

     Reduces the elements of this immutable sorted set, if any, using the specified associative binary operator.

     The order in which operations are performed on elements is unspecified and may be nondeterministic.

     A1

       A type parameter for the binary operator, a supertype of `A`.

     op

       A binary operator that must be associative.

     returns

       An option value containing result of applying reduce operator `op` between all the elements if the collection is nonempty, and `None` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

121. #### def reduceRight[B >: Value](op: (Value, B) ⇒ B): B

     Applies a binary operator to all elements of this immutable sorted set, going right to left.

     Applies a binary operator to all elements of this immutable sorted set, going right to left.

     Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       the result of inserting `op` between consecutive elements of this immutable sorted set, going right to left:

           op(x_1, op(x_2, ..., op(x_{n-1}, x_n)...))

       where `x1, ..., xn` are the elements of this immutable sorted set.

     Definition Classes
       IterableLike → TraversableOnce → GenTraversableOnce
     Exceptions thrown
       `UnsupportedOperationException`

       if this immutable sorted set is empty.

122. #### def reduceRightOption[B >: Value](op: (Value, B) ⇒ B): Option[B]

     Optionally applies a binary operator to all elements of this immutable sorted set, going right to left.

     Optionally applies a binary operator to all elements of this immutable sorted set, going right to left.

     Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       an option value containing the result of `reduceRight(op)` is this immutable sorted set is nonempty, `None` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

123. #### def repr: ValueSet

     The collection of type immutable sorted set underlying this `TraversableLike` object.

     The collection of type immutable sorted set underlying this `TraversableLike` object. By default this is implemented as the `TraversableLike` object itself, but this can be overridden.

     Definition Classes
       TraversableLike → GenTraversableLike

124. #### def reversed: List[Value]

     Attributes
       protected[this]
     Definition Classes
       TraversableOnce

125. #### def sameElements(that: GenIterable[A]): Boolean

     [use case] Checks if the other iterable collection contains the same elements in the same order as this immutable sorted set.

     [use case]

     Checks if the other iterable collection contains the same elements in the same order as this immutable sorted set.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     that

       the collection to compare with.

     returns

       `true`, if both collections contain the same elements in the same order, `false` otherwise.

     Definition Classes
       IterableLike → GenIterableLike
     Full Signature

     #### def sameElements[B >: Value](that: GenIterable[B]): Boolean

126. #### def scan[B >: Value, That](z: B)(op: (B, B) ⇒ B)(implicit cbf: CanBuildFrom[ValueSet, B, That]): That

     Computes a prefix scan of the elements of the collection.

     Computes a prefix scan of the elements of the collection.

     Note: The neutral element `z` may be applied more than once.

     B

       element type of the resulting collection

     That

       type of the resulting collection

     z

       neutral element for the operator `op`

     op

       the associative operator for the scan

     cbf

       combiner factory which provides a combiner

     returns

       a new immutable sorted set containing the prefix scan of the elements in this immutable sorted set

     Definition Classes
       TraversableLike → GenTraversableLike

127. #### def scanLeft[B, That](z: B)(op: (B, Value) ⇒ B)(implicit bf: CanBuildFrom[ValueSet, B, That]): That

     Produces a collection containing cumulative results of applying the operator going left to right.

     Produces a collection containing cumulative results of applying the operator going left to right.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     B

       the type of the elements in the resulting collection

     That

       the actual type of the resulting collection

     z

       the initial value

     op

       the binary operator applied to the intermediate result and the element

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and and the new element type `B`.

     returns

       collection with intermediate results

     Definition Classes
       TraversableLike → GenTraversableLike

128. #### def scanRight[B, That](z: B)(op: (Value, B) ⇒ B)(implicit bf: CanBuildFrom[ValueSet, B, That]): That

     Produces a collection containing cumulative results of applying the operator going right to left.

     Produces a collection containing cumulative results of applying the operator going right to left. The head of the collection is the last cumulative result.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     Example:

         List(1, 2, 3, 4).scanRight(0)(_ + _) == List(10, 9, 7, 4, 0)

     B

       the type of the elements in the resulting collection

     That

       the actual type of the resulting collection

     z

       the initial value

     op

       the binary operator applied to the intermediate result and the element

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and and the new element type `B`.

     returns

       collection with intermediate results

     Definition Classes
       TraversableLike → GenTraversableLike
     Annotations
       @migration
     Migration

       (Changed in version 2.9.0) The behavior of `scanRight` has changed. The previous behavior can be reproduced with scanRight.reverse.

129. #### def seq: Set[Value]

     A version of this collection with all of the operations implemented sequentially (i.

     A version of this collection with all of the operations implemented sequentially (i.e. in a single-threaded manner).

     This method returns a reference to this collection. In parallel collections, it is redefined to return a sequential implementation of this collection. In both cases, it has O(1) complexity.

     returns

       a sequential view of the collection.

     Definition Classes
       Set → Set → GenSet → GenSetLike → Iterable → Iterable → GenIterable → Traversable → Traversable → GenTraversable → Parallelizable → TraversableOnce → GenTraversableOnce

130. #### def size: Int

     The size of this immutable sorted set.

     The size of this immutable sorted set.

     returns

       the number of elements in this immutable sorted set.

     Definition Classes
       TraversableOnce → GenTraversableOnce

131. #### def slice(from: Int, until: Int): ValueSet

     Selects an interval of elements.

     Selects an interval of elements. The returned collection is made up of all elements `x` which satisfy the invariant:

         from <= indexOf(x) < until

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     returns

       a immutable sorted set containing the elements greater than or equal to index `from` extending up to (but not including) index `until` of this immutable sorted set.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableLike

132. #### def sliding(size: Int, step: Int): collection.Iterator[ValueSet]

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.)

     size

       the number of elements per group

     step

       the distance between the first elements of successive groups (defaults to 1)

     returns

       An iterator producing immutable sorted sets of size `size`, except the last and the only element will be truncated if there are fewer elements than size.

     Definition Classes
       IterableLike
     See also

       scala.collection.Iterator, method `sliding`

133. #### def sliding(size: Int): collection.Iterator[ValueSet]

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.)

     size

       the number of elements per group

     returns

       An iterator producing immutable sorted sets of size `size`, except the last and the only element will be truncated if there are fewer elements than size.

     Definition Classes
       IterableLike
     See also

       scala.collection.Iterator, method `sliding`

134. #### def span(p: (Value) ⇒ Boolean): (ValueSet, ValueSet)

     Splits this immutable sorted set into a prefix/suffix pair according to a predicate.

     Splits this immutable sorted set into a prefix/suffix pair according to a predicate.

     Note: `c span p` is equivalent to (but possibly more efficient than) `(c takeWhile p, c dropWhile p)`, provided the evaluation of the predicate `p` does not cause any side-effects.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     returns

       a pair consisting of the longest prefix of this immutable sorted set whose elements all satisfy `p`, and the rest of this immutable sorted set.

     Definition Classes
       TraversableLike → GenTraversableLike

135. #### def splitAt(n: Int): (ValueSet, ValueSet)

     Splits this immutable sorted set into two at a given position.

     Splits this immutable sorted set into two at a given position. Note: `c splitAt n` is equivalent to (but possibly more efficient than) `(c take n, c drop n)`.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     n

       the position at which to split.

     returns

       a pair of immutable sorted sets consisting of the first `n` elements of this immutable sorted set, and the other elements.

     Definition Classes
       TraversableLike → GenTraversableLike

136. #### def stringPrefix: String

     Defines the prefix of this object's `toString` representation.

     Defines the prefix of this object's `toString` representation.

     returns

       a string representation which starts the result of `toString` applied to this set. Unless overridden this is simply `"Set"`.

     Definition Classes
       ValueSet → SetLike → TraversableLike → GenTraversableLike

137. #### def subsetOf(that: GenSet[Value]): Boolean

     Tests whether this set is a subset of another set.

     Tests whether this set is a subset of another set.

     that

       the set to test.

     returns

       `true` if this set is a subset of `that`, i.e. if every element of this set is also an element of `that`.

     Definition Classes
       SortedSetLike → GenSetLike

138. #### def subsets: collection.Iterator[ValueSet]

     An iterator over all subsets of this set.

     An iterator over all subsets of this set.

     returns

       the iterator.

     Definition Classes
       SetLike

139. #### def subsets(len: Int): collection.Iterator[ValueSet]

     An iterator over all subsets of this set of the given size.

     An iterator over all subsets of this set of the given size. If the requested size is impossible, an empty iterator is returned.

     len

       the size of the subsets.

     returns

       the iterator.

     Definition Classes
       SetLike

140. #### def sum: A

     [use case] Sums up the elements of this collection.

     [use case]

     Sums up the elements of this collection.

     returns

       the sum of all elements in this immutable sorted set of numbers of type `Int`. Instead of `Int`, any other type `T` with an implicit `Numeric[T]` implementation can be used as element type of the immutable sorted set and as result type of `sum`. Examples of such types are: `Long`, `Float`, `Double`, `BigInt`.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def sum[B >: Value](implicit num: Numeric[B]): B

141. #### final def synchronized[T0](arg0: ⇒ T0): T0

     Definition Classes
       AnyRef

142. #### def tail: ValueSet

     Selects all elements except the first.

     Selects all elements except the first.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     returns

       a immutable sorted set consisting of all elements of this immutable sorted set except the first one.

     Definition Classes
       TraversableLike → GenTraversableLike
     Exceptions thrown
       `UnsupportedOperationException`

       if the immutable sorted set is empty.

143. #### def tails: collection.Iterator[ValueSet]

     Iterates over the tails of this immutable sorted set.

     Iterates over the tails of this immutable sorted set. The first value will be this immutable sorted set and the final one will be an empty immutable sorted set, with the intervening values the results of successive applications of `tail`.

     returns

       an iterator over all the tails of this immutable sorted set

     Definition Classes
       TraversableLike
     Example:

     1. `List(1,2,3).tails = Iterator(List(1,2,3), List(2,3), List(3), Nil)`

144. #### def take(n: Int): ValueSet

     Selects first n elements.

     Selects first n elements.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     n

       the number of elements to take from this immutable sorted set.

     returns

       a immutable sorted set consisting only of the first `n` elements of this immutable sorted set, or else the whole immutable sorted set, if it has less than `n` elements.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableLike

145. #### def takeRight(n: Int): ValueSet

     Selects last n elements.

     Selects last n elements.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     n

       the number of elements to take

     returns

       a immutable sorted set consisting only of the last `n` elements of this immutable sorted set, or else the whole immutable sorted set, if it has less than `n` elements.

     Definition Classes
       IterableLike

146. #### def takeWhile(p: (Value) ⇒ Boolean): ValueSet

     Takes longest prefix of elements that satisfy a predicate.

     Takes longest prefix of elements that satisfy a predicate.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     returns

       the longest prefix of this immutable sorted set whose elements all satisfy the predicate `p`.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableLike

147. #### def thisCollection: collection.Iterable[Value]

     The underlying collection seen as an instance of ``immutable.SortedSet``.

     The underlying collection seen as an instance of ``immutable.SortedSet``. By default this is implemented as the current collection object itself, but this can be overridden.

     Attributes
       protected[this]
     Definition Classes
       IterableLike → TraversableLike

148. #### def to(to: Value): ValueSet

     Create a range projection of this collection with no lower-bound.

     Create a range projection of this collection with no lower-bound.

     to

       The upper-bound (inclusive) of the ranged projection.

     Definition Classes
       Sorted

149. #### def to[Col[_]]: Col[A]

     [use case] Converts this immutable sorted set into another by copying all elements.

     [use case]

     Converts this immutable sorted set into another by copying all elements.

     Col

       The collection type to build.

     returns

       a new collection containing all elements of this immutable sorted set.

     Definition Classes
       TraversableLike → TraversableOnce → GenTraversableOnce
     Full Signature

     #### def to[Col[_]](implicit cbf: CanBuildFrom[Nothing, Value, Col[Value]]): Col[Value]

150. #### def toArray: Array[A]

     [use case] Converts this immutable sorted set to an array.

     [use case]

     Converts this immutable sorted set to an array.

     returns

       an array containing all elements of this immutable sorted set. An `ClassTag` must be available for the element type of this immutable sorted set.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def toArray[B >: Value](implicit arg0: ClassTag[B]): Array[B]

151. #### def toBitMask: Array[Long]

     Creates a bit mask for the zero-adjusted ids in this set as a new array of longs

152. #### def toBuffer[A1 >: Value]: Buffer[A1]

     Converts this immutable sorted set to a mutable buffer.

     Converts this immutable sorted set to a mutable buffer.

     returns

       a buffer containing all elements of this immutable sorted set.

     Definition Classes
       SetLike → TraversableOnce → GenTraversableOnce

153. #### def toCollection(repr: ValueSet): collection.Iterable[Value]

     A conversion from collections of type `Repr` to ``immutable.SortedSet`` objects.

     A conversion from collections of type `Repr` to ``immutable.SortedSet`` objects. By default this is implemented as just a cast, but this can be overridden.

     Attributes
       protected[this]
     Definition Classes
       IterableLike → TraversableLike

154. #### def toIndexedSeq: collection.immutable.IndexedSeq[Value]

     Converts this immutable sorted set to an indexed sequence.

     Converts this immutable sorted set to an indexed sequence.

     returns

       an indexed sequence containing all elements of this immutable sorted set.

     Definition Classes
       TraversableOnce → GenTraversableOnce

155. #### def toIterable: collection.Iterable[Value]

     Converts this immutable sorted set to an iterable collection.

     Converts this immutable sorted set to an iterable collection. Note that the choice of target `Iterable` is lazy in this default implementation as this `TraversableOnce` may be lazy and unevaluated (i.e. it may be an iterator which is only traversable once).

     returns

       an `Iterable` containing all elements of this immutable sorted set.

     Definition Classes
       IterableLike → TraversableOnce → GenTraversableOnce

156. #### def toIterator: collection.Iterator[Value]

     Returns an Iterator over the elements in this immutable sorted set.

     Returns an Iterator over the elements in this immutable sorted set. Will return the same Iterator if this instance is already an Iterator.

     returns

       an Iterator containing all elements of this immutable sorted set.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableOnce

157. #### def toList: List[Value]

     Converts this immutable sorted set to a list.

     Converts this immutable sorted set to a list.

     returns

       a list containing all elements of this immutable sorted set.

     Definition Classes
       TraversableOnce → GenTraversableOnce

158. #### def toMap[T, U]: Map[T, U]

     [use case] Converts this immutable sorted set to a map.

     [use case]

     Converts this immutable sorted set to a map. This method is unavailable unless the elements are members of Tuple2, each ((T, U)) becoming a key-value pair in the map. Duplicate keys will be overwritten by later keys: if this is an unordered collection, which key is in the resulting map is undefined.

     returns

       a map of type `immutable.Map[T, U]` containing all key/value pairs of type `(T, U)` of this immutable sorted set.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def toMap[T, U](implicit ev: <:<[Value, (T, U)]): Map[T, U]

159. #### def toParArray: ParArray[Value]

     Implicit information
       This member is added by an implicit conversion from ValueSet to TraversableOps[Value] performed by method traversable2ops in scala.collection.parallel.
     Definition Classes
       TraversableOps

160. #### def toSeq: collection.Seq[Value]

     Converts this immutable sorted set to a sequence.

     Converts this immutable sorted set to a sequence. As with `toIterable`, it's lazy in this default implementation, as this `TraversableOnce` may be lazy and unevaluated.

     returns

       a sequence containing all elements of this immutable sorted set.

     Definition Classes
       SetLike → TraversableOnce → GenTraversableOnce

161. #### def toSet[B >: Value]: Set[B]

     Converts this immutable sorted set to a set.

     Converts this immutable sorted set to a set.

     returns

       a set containing all elements of this immutable sorted set.

     Definition Classes
       Set → TraversableOnce → GenTraversableOnce

162. #### def toStream: collection.immutable.Stream[Value]

     Converts this immutable sorted set to a stream.

     Converts this immutable sorted set to a stream.

     returns

       a stream containing all elements of this immutable sorted set.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableOnce

163. #### def toString(): String

     Creates a String representation of this object.

     Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

     returns

       a String representation of the object.

     Definition Classes
       SetLike → Function1 → TraversableLike → AnyRef → Any

164. #### def toTraversable: collection.Traversable[Value]

     Converts this immutable sorted set to an unspecified Traversable.

     Converts this immutable sorted set to an unspecified Traversable. Will return the same collection if this instance is already Traversable.

     returns

       a Traversable containing all elements of this immutable sorted set.

     Definition Classes
       TraversableLike → TraversableOnce → GenTraversableOnce

165. #### def toVector: Vector[Value]

     Converts this immutable sorted set to a Vector.

     Converts this immutable sorted set to a Vector.

     returns

       a vector containing all elements of this immutable sorted set.

     Definition Classes
       TraversableOnce → GenTraversableOnce

166. #### def transpose[B](implicit asTraversable: (Value) ⇒ GenTraversableOnce[B]): Set[Set[B]]

     Transposes this immutable sorted set of traversable collections into a immutable sorted set of immutable sorted sets.

     Transposes this immutable sorted set of traversable collections into a immutable sorted set of immutable sorted sets.

     B

       the type of the elements of each traversable collection.

     asTraversable

       an implicit conversion which asserts that the element type of this immutable sorted set is a `Traversable`.

     returns

       a two-dimensional immutable sorted set of immutable sorted sets which has as nth row the nth column of this immutable sorted set.

     Definition Classes
       GenericTraversableTemplate
     Annotations
       @migration
     Migration

       (Changed in version 2.9.0) `transpose` throws an `IllegalArgumentException` if collections are not uniformly sized.

     Exceptions thrown
       `IllegalArgumentException`

       if all collections in this immutable sorted set are not of the same size.

167. #### def union(that: GenSet[Value]): ValueSet

     Computes the union between of set and another set.

     Computes the union between of set and another set.

     that

       the set to form the union with.

     returns

       a new set consisting of all elements that are in this set or in the given set `that`.

     Definition Classes
       SetLike → GenSetLike

168. #### def until(until: Value): ValueSet

     Creates a ranged projection of this collection with no lower-bound.

     Creates a ranged projection of this collection with no lower-bound.

     until

       The upper-bound (exclusive) of the ranged projection.

     Definition Classes
       SortedSetLike → Sorted

169. #### def unzip[A1, A2](implicit asPair: (Value) ⇒ (A1, A2)): (Set[A1], Set[A2])

     Converts this immutable sorted set of pairs into two collections of the first and second half of each pair.

     Converts this immutable sorted set of pairs into two collections of the first and second half of each pair.

     A1

       the type of the first half of the element pairs

     A2

       the type of the second half of the element pairs

     asPair

       an implicit conversion which asserts that the element type of this immutable sorted set is a pair.

     returns

       a pair immutable sorted sets, containing the first, respectively second half of each element pair of this immutable sorted set.

     Definition Classes
       GenericTraversableTemplate

170. #### def unzip3[A1, A2, A3](implicit asTriple: (Value) ⇒ (A1, A2, A3)): (Set[A1], Set[A2], Set[A3])

     Converts this immutable sorted set of triples into three collections of the first, second, and third element of each triple.

     Converts this immutable sorted set of triples into three collections of the first, second, and third element of each triple.

     A1

       the type of the first member of the element triples

     A2

       the type of the second member of the element triples

     A3

       the type of the third member of the element triples

     asTriple

       an implicit conversion which asserts that the element type of this immutable sorted set is a triple.

     returns

       a triple immutable sorted sets, containing the first, second, respectively third member of each element triple of this immutable sorted set.

     Definition Classes
       GenericTraversableTemplate

171. #### def view(from: Int, until: Int): IterableView[Value, ValueSet]

     Creates a non-strict view of a slice of this immutable sorted set.

     Creates a non-strict view of a slice of this immutable sorted set.

     Note: the difference between `view` and `slice` is that `view` produces a view of the current immutable sorted set, whereas `slice` produces a new immutable sorted set.

     Note: `view(from, to)` is equivalent to `view.slice(from, to)`

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     from

       the index of the first element of the view

     until

       the index of the element following the view

     returns

       a non-strict view of a slice of this immutable sorted set, starting at index `from` and extending up to (but not including) index `until`.

     Definition Classes
       IterableLike → TraversableLike

172. #### def view: IterableView[Value, ValueSet]

     Creates a non-strict view of this immutable sorted set.

     Creates a non-strict view of this immutable sorted set.

     returns

       a non-strict view of this immutable sorted set.

     Definition Classes
       IterableLike → TraversableLike

173. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws ( ... )

174. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws ( ... )

175. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws ( ... )

176. #### def withFilter(p: (Value) ⇒ Boolean): FilterMonadic[Value, ValueSet]

     Creates a non-strict filter of this immutable sorted set.

     Creates a non-strict filter of this immutable sorted set.

     Note: the difference between `c filter p` and `c withFilter p` is that the former creates a new collection, whereas the latter only restricts the domain of subsequent `map`, `flatMap`, `foreach`, and `withFilter` operations.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     p

       the predicate used to test elements.

     returns

       an object of class `WithFilter`, which supports `map`, `flatMap`, `foreach`, and `withFilter` operations. All these operations apply to those elements of this immutable sorted set which satisfy the predicate `p`.

     Definition Classes
       TraversableLike → FilterMonadic

177. #### def zip[B](that: GenIterable[B]): immutable.SortedSet[(A, B)]

     [use case] Returns a immutable sorted set formed from this immutable sorted set and another iterable collection by combining corresponding elements in pairs.

     [use case]

     Returns a immutable sorted set formed from this immutable sorted set and another iterable collection by combining corresponding elements in pairs. If one of the two collections is longer than the other, its remaining elements are ignored.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     B

       the type of the second half of the returned pairs

     that

       The iterable providing the second half of each result pair

     returns

       a new immutable sorted set containing pairs consisting of corresponding elements of this immutable sorted set and `that`. The length of the returned collection is the minimum of the lengths of this immutable sorted set and `that`.

     Definition Classes
       IterableLike → GenIterableLike
     Full Signature

     #### def zip[A1 >: Value, B, That](that: GenIterable[B])(implicit bf: CanBuildFrom[ValueSet, (A1, B), That]): That

178. #### def zipAll[B](that: collection.Iterable[B], thisElem: A, thatElem: B): immutable.SortedSet[(A, B)]

     [use case] Returns a immutable sorted set formed from this immutable sorted set and another iterable collection by combining corresponding elements in pairs.

     [use case]

     Returns a immutable sorted set formed from this immutable sorted set and another iterable collection by combining corresponding elements in pairs. If one of the two collections is shorter than the other, placeholder elements are used to extend the shorter collection to the length of the longer.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     B

       the type of the second half of the returned pairs

     that

       The iterable providing the second half of each result pair

     thisElem

       the element to be used to fill up the result if this immutable sorted set is shorter than `that`.

     thatElem

       the element to be used to fill up the result if `that` is shorter than this immutable sorted set.

     returns

       a new immutable sorted set containing pairs consisting of corresponding elements of this immutable sorted set and `that`. The length of the returned collection is the maximum of the lengths of this immutable sorted set and `that`. If this immutable sorted set is shorter than `that`, `thisElem` values are used to pad the result. If `that` is shorter than this immutable sorted set, `thatElem` values are used to pad the result.

     Definition Classes
       IterableLike → GenIterableLike
     Full Signature

     #### def zipAll[B, A1 >: Value, That](that: GenIterable[B], thisElem: A1, thatElem: B)(implicit bf: CanBuildFrom[ValueSet, (A1, B), That]): That

179. #### def zipWithIndex: immutable.SortedSet[(A, Int)]

     [use case] Zips this immutable sorted set with its indices.

     [use case]

     Zips this immutable sorted set with its indices.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     returns

       A new immutable sorted set containing pairs consisting of all elements of this immutable sorted set paired with their index. Indices start at `0`.

     Definition Classes
       IterableLike → GenIterableLike
     Full Signature

     #### def zipWithIndex[A1 >: Value, That](implicit bf: CanBuildFrom[ValueSet, (A1, Int), That]): That

     Example:

     1. `List("a", "b", "c").zipWithIndex = List(("a", 0), ("b", 1), ("c", 2))`

180. #### def |(that: GenSet[Value]): ValueSet

     Computes the union between this set and another set.

     Computes the union between this set and another set.

     Note: Same as `union`.

     that

       the set to form the union with.

     returns

       a new set consisting of all elements that are in this set or in the given set `that`.

     Definition Classes
       GenSetLike

181. #### def →[B](y: B): (ValueSet, B)

     Implicit information
       This member is added by an implicit conversion from ValueSet to ArrowAssoc[ValueSet] performed by method any2ArrowAssoc in scala.Predef.
     Definition Classes
       ArrowAssoc

### Shadowed Implicit Value Members

1. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from ValueSet to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (valueSet: StringAdd).+(other)

   Definition Classes
     StringAdd

2. #### def compare(that: ValueSet): Int

   Result of comparing `this` with operand `that`.

   Result of comparing `this` with operand `that`.

   Implement this method to determine how instances of A will be sorted.

   Returns `x` where:

   - `x < 0` when `this < that`
   - `x == 0` when `this == that`
   - `x > 0` when `this > that`
   Implicit information
     This member is added by an implicit conversion from ValueSet to math.Ordered[ValueSet] performed by method orderingToOrdered in scala.math.Ordered. This conversion will take place only if an implicit value of type math.Ordering[ValueSet] is in scope.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (valueSet: math.Ordered[ValueSet]).compare(that)

   Definition Classes
     Ordered

3. #### def filter(p: (Value) ⇒ Boolean): collection.TraversableOnce[Value]

   Implicit information
     This member is added by an implicit conversion from ValueSet to MonadOps[Value] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (valueSet: MonadOps[Value]).filter(p)

   Definition Classes
     MonadOps

4. #### def flatMap[B](f: (Value) ⇒ GenTraversableOnce[B]): collection.TraversableOnce[B]

   Implicit information
     This member is added by an implicit conversion from ValueSet to MonadOps[Value] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (valueSet: MonadOps[Value]).flatMap(f)

   Definition Classes
     MonadOps

5. #### def flatten: collection.Iterator[Value]

   Implicit information
     This member is added by an implicit conversion from ValueSet to FlattenOps[Value] performed by method flattenTraversableOnce in scala.collection.TraversableOnce. This conversion will take place only if an implicit value of type (Ordered[Value]) ⇒ collection.TraversableOnce[Value] is in scope.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (valueSet: FlattenOps[Value]).flatten

   Definition Classes
     FlattenOps

6. #### def map[B](f: (Value) ⇒ B): collection.TraversableOnce[B]

   Implicit information
     This member is added by an implicit conversion from ValueSet to MonadOps[Value] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (valueSet: MonadOps[Value]).map(f)

   Definition Classes
     MonadOps

7. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from ValueSet to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (valueSet: StringAdd).self

   Definition Classes
     StringAdd

8. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from ValueSet to StringFormat performed by method any2stringfmt in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (valueSet: StringFormat).self

   Definition Classes
     StringFormat

9. #### def withFilter(p: (Value) ⇒ Boolean): collection.Iterator[Value]

   Implicit information
     This member is added by an implicit conversion from ValueSet to MonadOps[Value] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (valueSet: MonadOps[Value]).withFilter(p)

   Definition Classes
     MonadOps

### Deprecated Value Members

1. #### def /:\[A1 >: Value](z: A1)(op: (A1, A1) ⇒ A1): A1

   A syntactic sugar for out of order folding.

   A syntactic sugar for out of order folding. See `fold`.

   Example:

       scala> val a = LinkedList(1,2,3,4)
       a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

       scala> val b = (a /:\ 5)(_+_)
       b: Int = 15

   Definition Classes
     GenTraversableOnce
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) use fold instead

2. #### def x: ValueSet

   Implicit information
     This member is added by an implicit conversion from ValueSet to ArrowAssoc[ValueSet] performed by method any2ArrowAssoc in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (valueSet: ArrowAssoc[ValueSet]).x

   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `leftOfArrow`instead``

3. #### def x: ValueSet

   Implicit information
     This member is added by an implicit conversion from ValueSet to Ensuring[ValueSet] performed by method any2Ensuring in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (valueSet: Ensuring[ValueSet]).x

   Definition Classes
     Ensuring
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `resultOfEnsuring`instead``

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from SortedSet[Value]

### Inherited from SortedSetLike[Value, ValueSet]

### Inherited from Sorted[Value, ValueSet]

### Inherited from Set[Value]

### Inherited from collection.immutable.Iterable[Value]

### Inherited from collection.immutable.Traversable[Value]

### Inherited from Immutable

### Inherited from AbstractSet[Value]

### Inherited from Set[Value]

### Inherited from SetLike[Value, ValueSet]

### Inherited from Subtractable[Value, ValueSet]

### Inherited from GenSet[Value]

### Inherited from GenericSetTemplate[Value, Set]

### Inherited from GenSetLike[Value, ValueSet]

### Inherited from (Value) ⇒ Boolean

### Inherited from AbstractIterable[Value]

### Inherited from collection.Iterable[Value]

### Inherited from IterableLike[Value, ValueSet]

### Inherited from Equals

### Inherited from GenIterable[Value]

### Inherited from GenIterableLike[Value, ValueSet]

### Inherited from AbstractTraversable[Value]

### Inherited from collection.Traversable[Value]

### Inherited from GenTraversable[Value]

### Inherited from GenericTraversableTemplate[Value, Set]

### Inherited from TraversableLike[Value, ValueSet]

### Inherited from GenTraversableLike[Value, ValueSet]

### Inherited from Parallelizable[Value, ParSet[Value]]

### Inherited from collection.TraversableOnce[Value]

### Inherited from GenTraversableOnce[Value]

### Inherited from FilterMonadic[Value, ValueSet]

### Inherited from HasNewBuilder[Value, ValueSet]

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion traversable2ops from ValueSet to TraversableOps[Value]

### Inherited by implicit conversion MonadOps from ValueSet to MonadOps[Value]

### Inherited by implicit conversion flattenTraversableOnce from ValueSet to FlattenOps[Value]

### Inherited by implicit conversion orderingToOrdered from ValueSet to math.Ordered[ValueSet]

### Inherited by implicit conversion any2stringadd from ValueSet to StringAdd

### Inherited by implicit conversion any2stringfmt from ValueSet to StringFormat

### Inherited by implicit conversion any2ArrowAssoc from ValueSet to ArrowAssoc[ValueSet]

### Inherited by implicit conversion any2Ensuring from ValueSet to Ensuring[ValueSet]

### Inherited by implicit conversion alternateImplicit from ValueSet to ForceImplicitAmbiguity

### Ungrouped